For the complete documentation index, see llms.txt. This page is also available as Markdown.

Application Install

Application install endpoints

Deprecated

Get all your application installs

get
Authorizations
PRIVATE-TOKENstringRequired
Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Application install ID

applicationIdstringRequired

Application install assigned to applicationId

applicationTypeinteger · integer · nullableRequired

The list of Application types can be found in: GET /application/type

createdAtinteger · integerRead-onlyRequired

Application install created at timestamp

namestringRequired

Application install name

versionstringRequired

Application install version

osGroupIdinteger · integerRequired

Operating system group ID (1 = windows, 2 = linux)

activeinteger · integerRequired

Application install active

releaseNotesstring · nullableOptional

Application install release notes

filePathstringRead-onlyRequired

Path of the file on the file server

fileSizeinteger · integerRead-onlyRequired

File size in bytes

fileSHA256stringRead-onlyRequired

Archive file SHA-256 hash

executableSHA256stringRead-onlyRequired

SHA-256 hash of the executable in the archive

statusinteger · integerRead-onlyRequired

Status of application install.

installHasExeinteger · integerRequired

Does the archive contain the game instance executable?

get/v3/applicationInstall
GET /v3/applicationInstall HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "applicationId": "text",
    "applicationType": 1,
    "createdAt": 1,
    "name": "text",
    "version": "text",
    "osGroupId": 1,
    "active": 1,
    "releaseNotes": "text",
    "filePath": "text",
    "fileSize": 1,
    "fileSHA256": "text",
    "executableSHA256": "text",
    "status": 1,
    "installHasExe": 1
  }
]
Deprecated

Get an application install

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
installIdintegerRequired

The Id of the application install to fetch

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Application install ID

applicationIdstringRequired

Application install assigned to applicationId

applicationTypeinteger · integer · nullableRequired

The list of Application types can be found in: GET /application/type

createdAtinteger · integerRead-onlyRequired

Application install created at timestamp

namestringRequired

Application install name

versionstringRequired

Application install version

osGroupIdinteger · integerRequired

Operating system group ID (1 = windows, 2 = linux)

activeinteger · integerRequired

Application install active

releaseNotesstring · nullableOptional

Application install release notes

filePathstringRead-onlyRequired

Path of the file on the file server

fileSizeinteger · integerRead-onlyRequired

File size in bytes

fileSHA256stringRead-onlyRequired

Archive file SHA-256 hash

executableSHA256stringRead-onlyRequired

SHA-256 hash of the executable in the archive

statusinteger · integerRead-onlyRequired

Status of application install.

installHasExeinteger · integerRequired

Does the archive contain the game instance executable?

get/v3/applicationInstall/{installId}
GET /v3/applicationInstall/{installId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "applicationId": "text",
    "applicationType": 1,
    "createdAt": 1,
    "name": "text",
    "version": "text",
    "osGroupId": 1,
    "active": 1,
    "releaseNotes": "text",
    "filePath": "text",
    "fileSize": 1,
    "fileSHA256": "text",
    "executableSHA256": "text",
    "status": 1,
    "installHasExe": 1
  }
]
Deprecated

Update an application install

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
installIdintegerRequired

The Id of the application install to update

Body
idinteger · integerRead-onlyRequired

Application install ID

applicationIdstringRequired

Application install assigned to applicationId

applicationTypeinteger · integer · nullableRequired

The list of Application types can be found in: GET /application/type

createdAtinteger · integerRead-onlyRequired

Application install created at timestamp

namestringRequired

Application install name

versionstringRequired

Application install version

osGroupIdinteger · integerRequired

Operating system group ID (1 = windows, 2 = linux)

activeinteger · integerRequired

Application install active

releaseNotesstring · nullableOptional

Application install release notes

filePathstringRead-onlyRequired

Path of the file on the file server

fileSizeinteger · integerRead-onlyRequired

File size in bytes

fileSHA256stringRead-onlyRequired

Archive file SHA-256 hash

executableSHA256stringRead-onlyRequired

SHA-256 hash of the executable in the archive

statusinteger · integerRead-onlyRequired

Status of application install.

installHasExeinteger · integerRequired

Does the archive contain the game instance executable?

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

Application install ID

applicationIdstringRequired

Application install assigned to applicationId

applicationTypeinteger · integer · nullableRequired

The list of Application types can be found in: GET /application/type

createdAtinteger · integerRead-onlyRequired

Application install created at timestamp

namestringRequired

Application install name

versionstringRequired

Application install version

osGroupIdinteger · integerRequired

Operating system group ID (1 = windows, 2 = linux)

activeinteger · integerRequired

Application install active

releaseNotesstring · nullableOptional

Application install release notes

filePathstringRead-onlyRequired

Path of the file on the file server

fileSizeinteger · integerRead-onlyRequired

File size in bytes

fileSHA256stringRead-onlyRequired

Archive file SHA-256 hash

executableSHA256stringRead-onlyRequired

SHA-256 hash of the executable in the archive

statusinteger · integerRead-onlyRequired

Status of application install.

installHasExeinteger · integerRequired

Does the archive contain the game instance executable?

put/v3/applicationInstall/{installId}
PUT /v3/applicationInstall/{installId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 140

{
  "applicationId": "text",
  "applicationType": 1,
  "name": "text",
  "version": "text",
  "osGroupId": 1,
  "active": 1,
  "releaseNotes": "text",
  "installHasExe": 1
}
[
  {
    "id": 1,
    "applicationId": "text",
    "applicationType": 1,
    "createdAt": 1,
    "name": "text",
    "version": "text",
    "osGroupId": 1,
    "active": 1,
    "releaseNotes": "text",
    "filePath": "text",
    "fileSize": 1,
    "fileSHA256": "text",
    "executableSHA256": "text",
    "status": 1,
    "installHasExe": 1
  }
]
Deprecated

Remove (deactivate) an application install

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
installIdintegerRequired

The Id of the application install you want to remove

Responses
204

No Content

No content

delete/v3/applicationInstall/{installId}
DELETE /v3/applicationInstall/{installId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?